OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_QuantifiedAssemblyComponentUsage Class Reference

Representation of STEP entity QuantifiedAssemblyComponentUsage
.

`#include <StepRepr_QuantifiedAssemblyComponentUsage.hxx>`

Inheritance diagram for StepRepr_QuantifiedAssemblyComponentUsage:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_QuantifiedAssemblyComponentUsage ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Id, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Name, const Standard_Boolean hasProductDefinitionRelationship_Description, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Description, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatingProductDefinition, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatedProductDefinition, const Standard_Boolean hasAssemblyComponentUsage_ReferenceDesignator, const Handle(TCollection_HAsciiString)&aAssemblyComponentUsage_ReferenceDesignator, const Handle(StepBasic_MeasureWithUnit)&aQuantity)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_MeasureWithUnit | Quantity () const
| Returns field Quantity .
Standard_EXPORT void | SetQuantity (const Handle(StepBasic_MeasureWithUnit)&Quantity)
| Set field Quantity .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_MeasureWithUnit | theQuantity

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_QuantifiedAssemblyComponentUsage::StepRepr_QuantifiedAssemblyComponentUsage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_QuantifiedAssemblyComponentUsage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_AssemblyComponentUsage.

Standard_EXPORT void StepRepr_QuantifiedAssemblyComponentUsage::Init | ( | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Id,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Name,
|  | const Standard_Boolean | hasProductDefinitionRelationship_Description,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Description,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatingProductDefinition,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatedProductDefinition,
|  | const Standard_Boolean | hasAssemblyComponentUsage_ReferenceDesignator,
|  | const Handle(TCollection_HAsciiString)& | aAssemblyComponentUsage_ReferenceDesignator,
|  | const Handle(StepBasic_MeasureWithUnit)& | aQuantity
| ) |

Standard_EXPORT Handle_StepBasic_MeasureWithUnit StepRepr_QuantifiedAssemblyComponentUsage::Quantity | ( |  | ) | const

Standard_EXPORT void StepRepr_QuantifiedAssemblyComponentUsage::SetQuantity | ( | const Handle(StepBasic_MeasureWithUnit)& | Quantity | ) |

## Field Documentation

Handle_StepBasic_MeasureWithUnit StepRepr_QuantifiedAssemblyComponentUsage::theQuantity`[private]`

The documentation for this class was generated from the following file:

- StepRepr_QuantifiedAssemblyComponentUsage.hxx